Subject: postgresql-common packaging not handling Devuan version number

From: Stephen Lyons <[email-masked]>
Date: Sat, 17 Apr 2021 19:34:54 +0100

Package: postgresql-common
Version: 200+deb10u4

I was doing a routine upgrade of the packages in my Devuan "Beowulf"
install, during the "apt upgrade" process I saw and captured the
following error(?) messages:

======================
Processing triggers for postgresql-common (200+deb10u4) ...
supported-versions: WARNING! Unknown distribution: devuan
debian found in ID_LIKE, treating as Debian
supported-versions: WARNING: Unknown Debian release: 3
Building PostgreSQL dictionaries from installed myspell/hunspell packages...
  da_dk
  de_de
  en_ca
  en_gb
  en_us
  es_es
  et_ee
  fr
  hy_am
  ko
  ru_ru
Removing obsolete dictionary files:
======================

This was a part of the output which I captured and include as an attachment.

I do not actively (or at least consciously) use Postgresql on this
system (and there is no other real life user) so I cannot tell if this
was in fact harmful. However it doesn't take a genius to realise that
the (presumably) upstream script (trigger) involved is expecting a
Debian version number - probably greater than, say, 4 or 5, certainly
more than 3 - and is unhappy about seeing a 3. Somehow it needs to be
told that Devuan "3" is like Debian "10" - except when it isn't!

I wonder whether this is linked to - or rather follows on from:
https://bugs.devuan.org/cgi/bugreport.cgi?bug=159 ?

My "uname -a" output (for a machine called "rachel") is:
Linux rachel 4.19.0-14-rt-amd64 #1 SMP PREEMPT RT Debian 4.19.171-2
(2021-01-30) x86_64 GNU/Linux

Regards

Stephen